We're updating the issue view to help you get more done. 

Update hibernate-core/hibernate-spatial dependencies to use org.dom4j:dom4j instead of the >10 year old dom4j:dom4j

Description

dom4j:dom4j is very old (released 5/2005, https://dom4j.github.io/) and it does not have a proper license specified in its pom. This results in our build system to fail when checking licenses. We work around this by excluding dom4j:dom4j from both hibernate-core and hibernate-spatial and instead adding a dependency to org.dom4j:dom4j which is new (2.1.0 released 9/2017), provides the same object model and have a proper license specified in its pom.

It would be great if hibernate-core/hibernate-spatial (and any other hibernate artifacts) move to the new version (org.dom4j:dom4j) too.

thanks

Environment

None

Status

Assignee

Karel Maesen

Reporter

Ahmet Bolac

Fix versions

None

Labels

None

backPortable

None

Suitable for new contributors

None

Requires Release Note

None

Pull Request

None

backportDecision

None

Affects versions

5.2.13

Priority

Major